SquidGuard Crash each time I update blacklist



  • Hi,

    I hope someone can help me i get this error message each time i update my Squidguard blacklis. Can someone tell me what is happening please?

    Thanks

    amd64
    10.3-RELEASE
    FreeBSD 10.3-RELEASE #6 05adf0a(RELENG_2_3_0): Mon Apr 11 18:52:07 CDT 2016    root@ce23-amd64-builder:/builder/pfsense-230/tmp/obj/builder/pfsense-230/tmp/FreeBSD-src/sys/pfSense

    Crash report details:

    PHP Errors:
    PHP Stack trace:
    PHP  1. {main}() /tmp/squidGuard_blacklist_update.sh:0
    PHP  2. sg_reconfigure_blacklist() /tmp/squidGuard_blacklist_update.sh:5
    PHP  3. sg_update_blacklist() /usr/local/pkg/squidguard_configurator.inc:2095
    PHP  4. squidguard_ramdisk() /usr/local/pkg/squidguard_configurator.inc:2131
    PHP  5. mkdir() /usr/local/pkg/squidguard_configurator.inc:1978



  • Same problem for me



  • @iqjet:

    Same problem for me

    Have you found any solutions yet?



  • Not clear from that what’s triggering it. The line in question creates the directory. That snippet cuts out part of the error that would be more telling. What do you get for command:

    cat /tmp/PHP_errors.log
    


  • may be the problem is solved
    I changed according this to this link the file /usr/local/pkg/squidguard_configurator.inc
    https://github.com/pfsense/pfsense-packages/pull/1244/commits/bad7efbdf7f21998161936051d474052d19a59ee

    No error occured after updating the blacklist  🙂



  • Thanks for the pointer. That is indeed the problem I’m sure. I hadn’t noticed that PR was out there. I merged that PR, and made the same change in the 2.3 pkg repo. The 2.3x pkg version with the fix will be 1.14_3.



  • The new fixed 1.14_3 Squid_Guard Package is available and working
    Wow, that has been a quick fix. Thanks a lot for your efforts.



  • Thanks Guys for the help working fine now after update no errors. 🙂 🙂


 

© Copyright 2002 - 2018 Rubicon Communications, LLC | Privacy Policy